var windowHeight, windowWidth;

$(document).ready(function () {
	global = {
		window: $(window)
	};
	tipsHover();
	switchTabs().init();
	expandFAQ().init();
	//Placeholder for IE
	if ($.browser.msie) {
		$("form").find("input[type='text']").each(function () {
			var tp = $(this).attr("placeholder");
			$(this).attr('value', tp).css('color', '#636363');
		}).focusin(function () {
			var val = $(this).attr('placeholder');
			if ($(this).val() == val) {
				$(this).attr('value', '').css('color', '#ffffff');
			}
		}).focusout(function () {
			var val = $(this).attr('placeholder');
			if ($(this).val() == "") {
				$(this).attr('value', val).css('color', '#636363');
			}
		});

		$(".color3 form").find("input[type='text']").each(function () {
			var tp = $(this).attr("placeholder");
			$(this).attr('value', tp).css('color', '#000000');
		}).focusin(function () {
			var val = $(this).attr('placeholder');
			if ($(this).val() == val) {
				$(this).attr('value', '').css('color', '#000000');
			}
		}).focusout(function () {
			var val = $(this).attr('placeholder');
			if ($(this).val() == "") {
				$(this).attr('value', val).css('color', '#000000');
			}
		});

		$(".color4 form").find("input[type='text']").each(function () {
			var tp = $(this).attr("placeholder");
			$(this).attr('value', tp).css('color', '#000000');
		}).focusin(function () {
			var val = $(this).attr('placeholder');
			if ($(this).val() == val) {
				$(this).attr('value', '').css('color', '#000000');
			}
		}).focusout(function () {
			var val = $(this).attr('placeholder');
			if ($(this).val() == "") {
				$(this).attr('value', val).css('color', '#000000');
			}
		});

	}


	global.window.resize(onResize);
	onResize();

});

function onResize() {

	windowHeight = global.window.height();
	windowWidth = global.window.width();

	$('.scrollblock').css({
		'height': windowHeight - 61,
		'width': windowWidth
	});
	$('.scrollblock').jScrollPane({
		showArrows: true,
		autoReinitialise: true
	});
}

function tipsHover() {
	var timer = 0;
	var tooltipTimeout;
	var tip;

	function showTip(element) {
		tip = '<div class="tooltip">' + $(element).attr('data-tip') + '</div>';
		$(element).html(tip);
	}

	function removeTip(element) {
		$(element).find('.tooltip').remove();
		tip = "";
	}

	$('.foot_in ul span').hover(
		function () {
			_this = this;
			tooltipTimeout = setInterval(function () {
				timer += 100;
				if (timer >= 1000) {
					showTip(_this);
				}
			}, 100);
		},
		function () {
			clearInterval(tooltipTimeout);
			timer = 0;
			removeTip(this);
		});
}

function switchTabs() {
	$header = $('.header');
	$tabs = $('.scrollblock');

	return {
		init: function(){
			var switcher = this;
			$('.foot_in ul li ').on('click', 'span:not(.active)', function(){
				var tab = "." + $(this).attr('data-tab');
				switcher.showTab(tab);
				switcher.setActiveButton(this);
			});
		},
		showTab: function (tabName) {
				$header.find('> form, > div').addClass('hidden');
				$header.find(tabName).removeClass('hidden');
				$tabs.find('.layers_list').addClass('hidden');
				$tabs.find(tabName).removeClass('hidden');
				if (tabName == ".default")
					onMyChangeHandler(null, "simple_change");
				else if (tabName == ".find-replace")
					onMyChangeHandler(null, "simple_replace");
				else if (tabName == ".regex")
						onMyChangeHandler(null, "regex_replace");
		},
		setActiveButton: function (button) {			
			console.log($(button));
			$('.foot_in .active').removeClass('active');
			$(button).addClass('active');
		}

	}

	$header.find('> form, > div').addClass('hidden');
}

function expandFAQ() {
	$list = $('.layers_list.faq');
	
	return {
		init: function(){
			expander = this;
			$list.on('click', 'h4:not(.disabled)', function(){
				expander.toggle($(this).parent());
			})
		},
		
		toggle: function(li){
			$p = li.find('p')
			if ($p.css('display') == "block") {
				$p.slideUp(150);	
			}
			else {
				$list.find('p').slideUp(150);
				$p.slideDown(150);
			} 
		}
		
		
	}
}